%define major 0
%define libname %mklibname weed %major
%define develname %mklibname -d weed

Summary:	Linux Video Editing System
Name:		lives
Version:	1.6.2
%define subrel 1
Release:	%mkrel 1
Source0:	http://salsaman.home.xs4all.nl/lives/current/LiVES-%version.tar.bz2
Patch0:		LiVES-1.6.2-fix-audio-player-selection.patch
URL:		http://lives.sourceforge.net/
License:	GPLv3+
Group:		Video
BuildRequires:	gtk2-devel
BuildRequires:	bison
BuildRequires:	imagemagick
BuildRequires:	mjpegtools-devel
BuildRequires:	SDL-devel
BuildRequires:	cairo-devel
BuildRequires:	ffmpeg-devel
BuildRequires:	pkgconfig(glee)
BuildRequires:	pkgconfig(libunicap)
BuildRequires:	pkgconfig(libraw1394)
BuildRequires:	gpm-devel
BuildRequires:	jackit-devel
BuildRequires:	libtheora-devel
BuildRequires:	libsamplerate-devel
BuildRequires:	celt-devel
BuildRequires:	libpulseaudio-devel
BuildRequires:	libpth-devel
BuildRequires:	libv4l-devel
BuildRequires:	libvisual-devel >= 0.1.7
Requires:	mplayer mencoder sox imagemagick
Requires:	cdrecord-cdda2wav
Requires:	xset
Requires:	libvisual-plugins

%description
The Linux Video Editing System (LiVES) is intended to be a simple yet powerful
video effects and editing system.  It uses common tools for most of its work
(mplayer, ImageMagick, GTK+, sox).

%package -n %libname
Summary:	Linux Video Editing System - shared libs
Group:		Video

%description -n %libname
This package contains shared libs for LiVES.

%package -n %develname
Summary:	Linux Video Editing System - Development files
Group:		Video
Requires:	%libname = %version
Provides:	%name-devel = %version-%release

%description -n %develname
This package contains development files needed to build LiVES plugins.

%prep
%setup -q
%patch0 -p0

%build
%define _disable_ld_no_undefined 1
%configure2_5x --disable-static --enable-threads=posix
%make

%install
%makeinstall_std

%find_lang lives

rm -fr %buildroot%_datadir/doc
rm -f %buildroot%_datadir/pixmaps/lives.xpm

# icons
mkdir -p %{buildroot}/%{_iconsdir}
mv %{buildroot}/usr/share/app-install/icons/lives.png	%{buildroot}/%{_iconsdir}/%{name}.png

# fix symlink
rm -rf %{buildroot}%{_bindir}/lives
ln -s %{_bindir}/lives-exe %{buildroot}%{_bindir}/lives

# don't ship .a or .la
find %{buildroot} -name '*.a' | xargs rm -f
find %{buildroot} -name '*.la' | xargs rm -f

%clean

%files -f lives.lang
%defattr(-,root,root,0755)
%doc AUTHORS BUGS C* docs/*.txt FEATURES GETTING*
%doc NEWS OMC/*.txt README* RFX/*
%_bindir/*
%_datadir/%name
%_libdir/%name
%{_datadir}/applications/LiVES.desktop
%{_iconsdir}/%{name}.png

%files -n %libname
%defattr(-,root,root,-)
%_libdir/*.so.%{major}*

%files -n %develname
%defattr(-,root,root,-)
%_includedir/weed
%_libdir/*.so
%_libdir/pkgconfig/*.pc


%changelog

* Sun Jul 01 2012 fwang <fwang> 1.6.2-1.1.mga2
+ Revision: 266466
- add proposed patch to fix audio player selection
- new version 1.6.2
- add more br

* Mon Apr 16 2012 fwang <fwang> 1.6.1-2.mga2
+ Revision: 231000
- add upstream patch on incorrect usage of brackets, to try fixing bug#5413

  + wally <wally>
    - fix lives symlink

* Sun Feb 05 2012 zezinho <zezinho> 1.6.1-1.mga2
+ Revision: 205038
- fix build
- new version 1.6.1

* Fri Jan 13 2012 dams <dams> 1.4.9-1.mga2
+ Revision: 195488
- new version 1.4.9
- rediff patch

* Thu Dec 01 2011 fwang <fwang> 1.4.8-1.mga2
+ Revision: 174700
- fix str fmt
- new version 1.4.8

* Mon Nov 14 2011 dams <dams> 1.4.7-1.mga2
+ Revision: 167442
- new version 1.4.7

  + fwang <fwang>
    - new version 1.4.5

* Mon Jul 18 2011 fwang <fwang> 1.4.4-2.mga2
+ Revision: 125816
- rebuild for new mjpegtools

* Sat Jun 18 2011 ahmad <ahmad> 1.4.4-1.mga2
+ Revision: 109346
- Drop xmms requires (it doesn't exist in Mageia)
- Drop gdk-pixbuf-loaders requires, it depends on old gnome libs
- Don't ship .a/.la
- Drop old/unneeded scriptlets
- imported package lives

